Subject: bug#4535: toolkit dependence of frame-height

From: "Jan D." <[email-masked]>
Date: Wed, 23 Sep 2009 11:15:17 +0200

Your understanding is correct. Please update the docs. However, it has  
been an old goal to unify this, i.e. make all toolkits behave as Gtk.

      Jan D.

23 sep 2009 kl. 08.57 skrev Glenn Morris <[email-masked]>:

>
> As far as I can tell, the result of (frame-height) on GNU/Linux
> depends on the X toolkit on the following way:
>
> gtk        : excludes both tool-bar and menu-bar
> motif      : includes tool-bar (height = 2?), excludes menu-bar
> lucid      : like motif
> no toolkit : includes both tool-bar and menu-bar (height = 1)
> -nw        : includes menu-bar
>
> The motif and lucid values seems inconsistent with the Elisp manual:
>
>     These values include the internal borders, and windows' scroll
>     bars and fringes (which belong to individual windows, not to the
>     frame itself), but do not include menu bars or tool bars (except
>     when using X without an X toolkit).
>
> I am happy to update the documentation, if the current behaviour (and
> my understanding of it) is correct, or not going to be changed. (It is
> rather confusing though.)
>
>
> Some previous discussion:
>
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2007-12/msg00103.html
>
> and to some extent bug #25
>
>
>